Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Channels

List Channels

GET
/v1/channels

Returns a paginated list of channels.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string

Unique identifier for the resource.

id[in]?string

Filters by any of the supplied id values.

type?string

Type of the resource.

type[in]?string

Filters by any of the supplied type values.

status?string

Current status of the resource.

status[in]?string

Filters by any of the supplied status values.

limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/channels"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",      "name": "string",      "handle": "string",      "type": "email",      "status": "active",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}